EDIT - bug #8115

NPE when moving factual data
02/21/2019 09:35 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

Steps to reproduce:

1. Create the following factual data
(50 Factual Data 52 # B m = 0

Factual data set for Gomphrena
w Factual data set for Gomphrena

w Abstract

- - |
asdasd

2. Move the abstract element with text to the other factual data set —
[%¥ Factual Data 28 # =B =

* Factual data set for Gomphrena
» Abstract
asdasd

w Factual data set for Gomphrena
w Abstract

Mo text provided

3. Save -> 2 error dialogs with the following exception stack trace

login : admin

editor version : 5.6.0.qualifier

server : localhost (localhost-dev)

schema version : 5.0.0.0.20180514

os : Linux 4.15.0-45-generic amdé64

java : 1.8.0_121

org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.NullPointerException)
at org.eclipse.swt.SWT.error (SWT. java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display. java:4536)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4154)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l
022)

at org.eclipse.ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main. java:1492)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.api.service.DescriptionServiceImpl.moveDescriptionElementsToDescription (De
scriptionServiceImpl. java:718)

at eu.etaxonomy.cdm.api.service.DescriptionServiceImpl.moveDescriptionElementsToDescription (De
scriptionServicelImpl. java:771)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl66.moveDescriptionElementsToDescription (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelInterceptor.invoke (RemotelInvocati
onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$SProxy247.moveDescriptionElementsToDescription (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)
at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemotelIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:841)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1634)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:213)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21
springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j

springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:26

eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1621)

org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)
springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1613)
servlet.ServletHandler.doHandle (ServletHandler. java:541)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
org.eclipse. jetty.
java.lang.Thread.run (Thread. java:745)
org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)
at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult

.java:149)

security.SecurityHandler.handle (SecurityHandler. java:548)

server.handler.HandlerWrapper.handle (HandlerWrapper. java:132)

server.handler.ScopedHandler.nextHandle (ScopedHandler. java:190)

server.session.SessionHandler.doHandle (SessionHandler. java:1592)
server.handler.ScopedHandler.nextHandle (ScopedHandler. java:188)
server.handler.ContextHandler.doHandle (ContextHandler. java:1239)
server.handler.ScopedHandler.nextScope (ScopedHandler. java:168)
servlet.ServletHandler.doScope (ServletHandler. java:481)

server.session.SessionHandler.doScope (SessionHandler. java:1561)

server.handler.ScopedHandler.nextScope (ScopedHandler. java:166)

server.handler.ContextHandler.doScope (ContextHandler.java:1141)

server.handler.ScopedHandler.handle (ScopedHandler. java:141)
server.handler.HandlerWrapper.handle (HandlerWrapper. java:132)
server.Server.handle (Server. java:564)
server.HttpChannel.handle (HttpChannel. java:320)
server.HttpConnection.onFillable (HttpConnection. java:251)

io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:279)
io.FillInterest.fillable(FillInterest.java:110)
io.ChannelEndPoint$2.run (ChannelEndPoint. java:124)

util.thread

util.thread.

util.thread

util.thread.

util.thread.

util.thread

.Invocable.invokePreferred (Invocable.java:122)
strategy.ExecutingExecutionStrategy.invoke (ExecutingExecution

.strategy.ExecuteProduceConsume.produceConsume (ExecuteProduceC
strategy.ExecuteProduceConsume.run (ExecuteProduceConsume. java

QueuedThreadPool.runJob (QueuedThreadPool. java:672)
.QueuedThreadPool$2.run (QueuedThreadPool. java:590)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation

Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:150)
at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)
at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$SProxy57.moveDescriptionElementsToDescription (Unknown Source)

at eu.etaxonomy.taxeditor.editor.view.descriptive.operation.MoveDescriptionElementsOperation.e

xecute (MoveDescriptionElementsOperation. java:102)
eu.etaxonomy.taxeditor.model.AbstractUtility.lambda$3 (AbstractUtility.java:141)

at
editor
server
schema

org
org.
org.
org.
24
eclipse.
eclipse.
eclipse.

more

admin

version : 5
localhost

version

04/09/2024

ui.internal.
ui.internal.
swt.widgets.
swt.widgets.

.6.0.qualifier
(localhost—-dev)

5.0.0.0.20180514

UILockListener.doPendingWork (UILockListener. java:162)
UISynchronizer$3.run (UISynchronizer. java:154)
RunnablelLock.run (RunnableLock. java:35)
Synchronizer.runAsyncMessages (Synchronizer. java:182)
os : Linux 4.15.0-45-generic amdé64
java : 1.8.0_121
org.eclipse.ed.core.di.InjectionException: org.hibernate.AssertionFailure: Unable to perform befor
eTransactionCompletion callback
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:65)
at org.eclipse.ed4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed4.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:247)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90

at org.eclipse.ed.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav
a:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.e4d.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:40)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:13

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler.j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.e4d4.ui.bindings.keys.KeyBindingDispatcher.executeCommand (KeyBindingDispatcher. ja
va:286)

at org.eclipse.ed4.ui.bindings.keys.KeyBindingDispatcher.press (KeyBindingDispatcher. java:507)

at org.eclipse.e4.ui.bindings.keys.KeyBindingDispatcher.processKeyEvent (KeyBindingDispatcher.j
ava:558)

at org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.filterKeySequenceBindings (KeyBindingDi
spatcher. java:378)

at org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.access$0 (KeyBindingDispatcher. java:324

at org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher$KeyDownFilter.handleEvent (KeyBindingDi
spatcher. java:86)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.filterEvent (Display.java:1605)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1339)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1366)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1349)

at org.eclipse.swt.widgets.Widget.sendKeyEvent (Widget.java:1378)

at org.eclipse.swt.widgets.Widget.gtk_key_press_event (Widget. java:764)

at org.eclipse.swt.widgets.Control.gtk_key_press_event (Control. java:3465)

at org.eclipse.swt.widgets.Composite.gtk_key_press_event (Composite.java:801)

at org.eclipse.swt.widgets.Tree.gtk_key_press_event (Tree.java:1971)

at org.eclipse.swt.widgets.Widget.windowProc (Widget. java:2000)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:5827)

at org.eclipse.swt.widgets.Tree.windowProc (Tree. java:3721)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:5498)

at org.eclipse.swt.internal.gtk.0S._gtk_main_do_event (Native Method)

at org.eclipse.swt.internal.gtk.0S.gtk_main_do_event (0S.java:9545)

at org.eclipse.swt.widgets.Display.eventProc (Display.java:1275)

at org.eclipse.swt.internal.gtk.0S._g_main_context_iteration (Native Method)

at org.eclipse.swt.internal.gtk.0S.g_main_context_iteration (0S.java:2495)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4149)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main.java:1492)
Caused by: org.hibernate.AssertionFailure: Unable to perform beforeTransactionCompletion callback

at org.hibernate.engine.spi.ActionQueue$BeforeTransactionCompletionProcessQueue.beforeTransact
ionCompletion (ActionQueue. java:905)

at org.hibernate.engine.spi.ActionQueue.beforeTransactionCompletion (ActionQueue. java:481)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl. java:2340)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoor
dinatorImpl. java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordi
natorImpl.beforeCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:231
)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:581)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Ab
stractPlatformTransactionManager. java:761)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractP
latformTransactionManager. java:730)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfter
Returning (TransactionAspectSupport. java:485)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:291)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl72.merge (Unknown Source)

at sun.reflect.GeneratedMethodAccessorl64.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemotelInvocati
onTraceInterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy264.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemotelIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:841)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler. java:1634)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:213)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)
at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy. java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.]j
ava:340)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:26

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1621)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1613)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:541)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:548)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:132)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:190)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:1592)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:188)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1239)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler.java:168)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:481)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:1561)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:166)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1141)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:132)

at org.eclipse.jetty.server.Server.handle (Server. java:564)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:320)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:251)

at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:279)

at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:110)

at org.eclipse.jetty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:124)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool.java:672)

at org.eclipse.jetty.util.thread.QueuedThreadPool$2.run (QueuedThreadPool. java:590)

at java.lang.Thread.run (Thread. java:745)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils.java:45)

at org.springframework.remoting. support.RemoteInvocationResult.recreate (RemoteInvocationResult
.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemotelInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor.java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy5l.merge (Unknown Source)

at eu.etaxonomy.taxeditor.editor.ed.TaxonEditorInputE4.merge (TaxonEditorInputE4. java:405)

at eu.etaxonomy.taxeditor.editor.name.ed.TaxonNameEditorE4.save (TaxonNameEditorE4.java:395)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

. 67 more
Caused by: java.lang.NullPointerException

at org.hibernate.engine.internal.NaturallIdXrefDelegate.validateNaturalld (NaturalIdXrefDelegate
.java:165)

at org.hibernate.engine.internal.NaturalIdXrefDelegate.cacheNaturalIdCrossReference (NaturalIdX
refDelegate. java:72)

at org.hibernate.engine.internal.StatefulPersistenceContext$l.cacheNaturalIdCrossReferenceFrom
Load(StatefulPersistenceContext.java:1729)

at org.hibernate.engine.internal.StatefulPersistenceContext.getNaturalldSnapshot (StatefulPersi
stenceContext.java:338)
at org.hibernate.event.internal.
ityEventListener. java:90)

at org.hibernate.event.internal.
entListener. java:180)

at org.hibernate.event.internal.
tyEventListener. java:135)

at org.hibernate.event.internal.
entListener.java:216)

at org.hibernate.event.internal.
ractFlushingEventListener. java:85)

at org.hibernate.event.internal.
va:38)

DefaultFlushEntityEventListener.checkNaturalId (DefaultFlushEnt
DefaultFlushEntityEventListener.getValues (DefaultFlushEntityEv
DefaultFlushEntityEventListener.onFlushEntity (DefaultFlushEnti
AbstractFlushingEventListener.flushEntities (AbstractFlushingEv
AbstractFlushingEventListener.flushEverythingToExecutions (Abst

DefaultFlushEventListener.onFlush (DefaultFlushEventListener. ja

at org.hibernate.internal.SessionImpl.flush (SessionImpl.java:1282)

at org.hibernate.envers.internal.synchronization.AuditProcess.doBeforeTransactionCompletion (Au

ditProcess.java:156)

at org.hibernate.envers.internal.synchronization.AuditProcessManager$l.doBeforeTransactionComp

letion (AuditProcessManager.java:46)

at org.hibernate.engine.spi.ActionQueue$BeforeTransactionCompletionProcessQueue.beforeTransact

ionCompletion (ActionQueue. java:899)
183 more

Associated revisions

Revision 1d33838c - 02/21/2019 03:13 PM - Katja Luther

ref #8115: first steps to solve problems with moving description elements

Revision 803af83e - 03/12/2019 11:23 AM - Katja Luther

fix #8115: fix move elements to not persisted target description

Revision b5a42086 - 03/12/2019 11:23 AM - Katja Luther

ref #8115: fix move elements for not persisted target description

Revision 23d182dd - 03/19/2019 01:27 PM - Katja Luther

ref #8115: fix move facts when not persisted facts exist

Revision 8b5bca23 - 03/21/2019 03:47 PM - Patrick Plitzner

ref #8115 Use cached feature tree in factual data view

context menu

Revision d541179a - 04/01/2019 04:07 PM - Katja Luther

ref #8115: do not delete description when moving the last element

Revision 2580ff7a - 04/02/2019 08:30 AM - Katja Luther

ref #8115: adapt test

Revision 5354{8db - 04/03/2019 01:55 PM - Katja Luther

ref #8115: drag&drop is not allowed for not persisted elements in source and target description

Revision 90e44203 - 04/15/2019 03:52 PM - Katja Luther

ref #8115: first steps to solve problems with moving description elements

Revision b2b64aae - 04/15/2019 03:53 PM - Katja Luther

ref #8115: fix move elements for not persisted target description

Revision cfe73b31 - 04/15/2019 03:53 PM - Katja Luther

ref #8115: do not delete description when moving the last element

Revision 2246f50e - 04/15/2019 03:53 PM - Katja Luther

ref #8115: adapt test

History
#1 - 02/21/2019 09:37 AM - Patrick Plitzner

- Description updated

#2 - 02/21/2019 09:49 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

Katja: | assign this to you because it has to do with the operations of the NameEditor which are executed during saving.

#3 - 02/21/2019 11:14 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.6

#4 - 02/21/2019 11:14 AM - Andreas Miiller
- Priority changed from New to Highest

#5 - 02/22/2019 09:44 AM - Katja Luther

- Status changed from New to In Progress

#6 - 03/12/2019 11:26 AM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|803af83ee2911d193d6a95a3f73dee727ae77d45.

#7 - 03/12/2019 11:33 AM - Katja Luther
- % Done changed from 50 to 0

the problem was the not persisted description, therefore the description needs to be passed to the service method. To avoid an exception that the
taxon/name is associated to the session twice, the description has to be created on server side and the taxon has to be loaded and attached to the
newly created description.

#8 - 03/12/2019 11:34 AM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner
please review

#9 - 03/18/2019 03:55 PM - Patrick Plitzner
- File picture971-1.png added

- File picture971-2.png added

- File picture971-3.png added

- File picture971-4.png added

- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

This setup now works because we have to save before dragging the abstract to the other description
There is however another setup which throws another exception:

1. Have a saved setup like this |+ =
v v upt ! [% Factual Data 2 # = B m

w Factual data set for Gomphrena

w Abstract

2. Create, and do not save, a new abstract and a new description
() Factual Data 2@‘ # = m T O

Factual data set for Gomphrena

w Factual data set for Gomphrena

w Abstract
Mo text provided

persisted abstract

3. Move the persisted abstract to the new description @ Factual Data 52 Z B | = 7

w Factual data set for Gomphrena
w Abstract
persisted abstract
* Factual data set for Gomphrena
* Abstract

Mo text provided

4.Save |

This is an unexpected error.

Please contact EDIT Support (EditSuppoert@bgbm.org) with the error trace below
(click on the 'Details' button).

org.eclipse.ed.core.di.InjectionException:
org.hibernate.MonUnigqueObjectException: A different object with the same
identifier value was already associated with the session :
[eu.etaxonomy.cdm.model.description.TaxonDescription#2117]

| Copy Error || Details > || OK

login : admin
editor version : 5.6.0.201903181404
server : 160.45.63.175 (edit-test) / rem_conf_am
schema version : 5.5.0.0.20190221
os : Linux 4.15.0-46-generic amdé64
Java : 1.8.0_121
org.eclipse.ed.core.di.InjectionException: org.hibernate.NonUniqueObjectException: A different object with the
same identifier value was already associated with the session : [eu.etaxonomy.cdm.model.description.TaxonDesc
ription#2117]
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:247)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90)
at org.eclipse.ed.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. java:57)
at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)
at org.eclipse.ed.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)
at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:40)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:132)
at org.eclipse.e4d.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)
at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)
at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)
at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl. java:210)
at org.eclipse.e4.ui.bindings.keys.KeyBindingDispatcher.executeCommand (KeyBindingDispatcher. java:286)
at org.eclipse.e4d.ui.bindings.keys.KeyBindingDispatcher.press (KeyBindingDispatcher. java:507)
at org.eclipse.e4d4.ui.bindings.keys.KeyBindingDispatcher.processKeyEvent (KeyBindingDispatcher. java:558)
at org.eclipse.e4.ui.bindings.keys.KeyBindingDispatcher.filterKeySequenceBindings (KeyBindingDispatcher. jav
a:378)
at org.eclipse.e4.ui.bindings.keys.KeyBindingDispatcher.access$0 (KeyBindingDispatcher. java:324)
at org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher$KeyDownFilter.handleEvent (KeyBindingDispatcher. jav
a:86)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.filterEvent (Display.java:1605)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1339)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1366)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1349)

at org.eclipse.swt.widgets.Widget.sendKeyEvent (Widget. java:1378)

at org.eclipse.swt.widgets.Widget.gtk_key_press_event (Widget.java:764)

at org.eclipse.swt.widgets.Control.gtk_key_press_event (Control. java:3465)

at org.eclipse.swt.widgets.Composite.gtk_key_press_event (Composite.java:801)

at org.eclipse.swt.widgets.Tree.gtk_key_press_event (Tree.java:1971)

at org.eclipse.swt.widgets.Widget.windowProc (Widget.java:2000)

at org.eclipse.swt.widgets.Control.windowProc (Control. java:5827)

at org.eclipse.swt.widgets.Tree.windowProc (Tree.java:3721)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:5498)

at org.eclipse.swt.internal.gtk.O0S._gtk_main_do_event (Native Method)

at org.eclipse.swt.internal.gtk.O0S.gtk_main_do_event (0S.java:9545)

at org.eclipse.swt.widgets.Display.eventProc (Display.java:1275)

at org.eclipse.swt.internal.gtk.0S._g_main_context_iteration (Native Method)

at org.eclipse.swt.internal.gtk.0S.g_main_context_iteration (0S.java:2495)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4149)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)

at org.eclipse.e4d4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench.java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main.java:1492)
Caused by: org.hibernate.NonUniqueObjectException: A different object with the same identifier value was alrea
dy associated with the session : [eu.etaxonomy.cdm.model.description.TaxonDescription#2117]

at org.hibernate.engine.internal.StatefulPersistenceContext.checkUniqueness (StatefulPersistenceContext.jav
a:648)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUpdateEventLis
tener. java:284)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveOrUpdateEvent
Listener.java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSaveOrUpdateEv
entListener. java:92)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrUpdateEventLi
stener.java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:635)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.saveOrUpdate (CdmEntityDaoBase. java:3
41)

at eu.etaxonomy.cdm.api.service.DescriptionServicelImpl.moveDescriptionElementsToDescription (DescriptionSer
viceImpl.java:754)

at eu.etaxonomy.cdm.api.service.DescriptionServiceImpl.moveDescriptionElementsToDescription (DescriptionSer
viceImpl. java:814)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMethodInvocation
.java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:15
7)
javax.servlet.http.HttpServlet.service (HttpServlet. java:790)
at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter. java:120)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:330

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFilter. java:64)
at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:107)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (SecurityContextPersi
stenceFilter. java:91)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInterna
1 (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy.java:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.java:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:262)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFilter. java:12

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:107)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1652)

at org.eclipse. jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse. jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse. jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse. jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse. jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)

at org.eclipse. jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:141)

at org.eclipse. jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection. java:215)

at org.eclipse. jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server.java:497)

at org.eclipse. jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse. jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection.java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:748)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIlfPossible (RemoteInvoc
ationUtils.java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocationResult (Remot
eInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy96.moveDescriptionElementsToDescription (Unknown Source)

at eu.etaxonomy.taxeditor.editor.view.descriptive.operation.MoveDescriptionElementsOperation.execute (MoveD
escriptionElementsOperation. java:103)

at eu.etaxonomy.taxeditor.editor.ed4.TaxonEditorInputE4.merge (TaxonEditorInputE4. java:386)

at eu.etaxonomy.taxeditor.editor.name.e4d.TaxonNameEditorE4.save (TaxonNameEditorE4. java:402)

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

67 more

#10 - 03/19/2019 01:36 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

this problem is fixed.
#11 - 03/22/2019 01:46 PM - Patrick Plitzner
- File picture908-1.png added
- File picture908-2.png added
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

Now saving in step 4 works but the description with the description from which the element was moved away from disappears.

After move
(&) Faktendaten 52 # =2 m T O
w Factual data set for Gomphrena
w Abstract
asdasd

+ Factual data set for Gomphrena
v Abstract

newly created abstract to be saved

After save
() Faktendaten 22 & = m T 0
v Factual data set for Gomphrena
w Abstract
asdasd

#12 - 03/22/2019 02:06 PM - Katja Luther

Did you test with the actual cdmlib version?
cdmlib was not build until this morning.

#13 - 03/22/2019 02:07 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

#14 - 03/22/2019 03:32 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

| just tested it with cdmlib and taxeditor completely up-to-date. | tested on a copy of flora of greece this time to make sure it has nothing to do with my
local test DB.

The description still disappears.

#15 - 03/26/2019 09:19 AM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

this is because the description only contains a not persisted description element and this is not available when the move operation is executed.

There are two possibilities: the move operation is possible only when there is no not persisted element in one of the involved descriptions or we do
not delete the description when it is empty.

#16 - 04/03/2019 01:26 PM - Patrick Plitzner
- File picture968-1.png added
| tested on the latest nightly: The new description does not get deleted this time. But the new abstract that has been added to the already existing

description is not saved.

(B Factual Data 2 = O

Factual data set for Gattung art
w Factual data set for Gattung art
w Abstract

persisted abstract

#17 - 04/03/2019 01:26 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

#18 - 04/05/2019 10:38 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

now drag & drop is only possible when neither the target nor the source description containing not persisted elements.

#19 - 04/05/2019 11:11 AM - Patrick Plitzner
- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 0 to 100

This now works as expected
